'\" t
.TH foo2xqx 1 "${MODpage}" "foo2xqx ${MODver}"
#ifndef OLDGROFF
#include "macros.man"
#endif
'\"==========================================================================
'\"	MANUAL PAGE SOURCE
'\"==========================================================================
.SH NAME
foo2xqx \- Convert Ghostscript pbmraw into a
XQX printer stream
.SH SYNOPSIS
.B foo2xqx
.RI [ options "] <" pbmraw-file " >" xqx-file
.SH DESCRIPTION
.B foo2xqx
converts Ghostscript pbmraw to monochrome
XQX streams,
for driving the HP LaserJet M1005 MFP
and other XQX-based printers.

.SH COMMAND LINE OPTIONS
.SS Normal Options
These are the options used to select the parameters of a
print job that are usually controlled on a per job basis.
.TP
.BI \-d\0 duplex
Duplex code to send to printer [1].
.TS
| n l | n l | n l .
1	off	2	long edge	3	short edge
.TE
.TP
.BI \-g\0 xpix x ypix
Set page dimensions in pixels [10200x6600].
.TP
.BI \-m\0 media
Media code to send to printer [1].
.TS
l l l
l n n.
_
Media	M1005
_
standard	1
transparency	2
envelope	257
letterhead	259
thick	261
postcard	262
labels	263
.TE
.TP
.BI \-p\0 paper
Paper code to send to printer [1].
.TS
box;
| n l | n l.
1	letter	9	A4
5	legal	11	A5
7	executive	13	B5
20	env #10	27	env DL
28	env C5	34	env B5
37	env Monarch		
.TE
.TP
.BI \-n\0 copies
Number of copies [1].
.TP
.BI \-r\0 xres x yres
Set device resolution in pixels/inch [1200x600].
.TP
.BI \-s\0 source
Source (InputSlot) code to send to printer [7].
.TS
box;
| n l | n l.
1	upper	4	manual
2	lower	7	auto
.TE
.TP
.BI \-t
Draft mode.  Every other pixel is white.
.TP
.BI \-J\0 filename
Filename string to send to printer.
.TP
.BI \-U\0 username
Username string to send to printer.
.SS Printer Tweaking Options
These are the options used to customize the operation of \fBfoo2xqx\fP
for a particular printer.
.TP
.BI \-u\0 xoff x yoff
Set the offset of the start of the printable region from the
upper left corner, in pixels [0x0].
.TP
.BI \-l\0 xoff x yoff
Set the offset of the end of the printable region from the
lower right corner, in pixels [0x0].
.TP
.BI \-L\0 mask
Send logical clipping amounts implied by -u/-l in the ZjStream [3].
.TS
l l.
0	don't send any logical clipping amounts
1	only send Y clipping amount
2	only send X clipping amount
3	send both X and Y clipping amounts
.TE
.TP
.BI \-A
AllIsBlack: convert C=1,M=1,Y=1 to just K=1.  Works with bitcmyk input only.
.TP
.BI \-B
BlackClears: K=1 forces C,M,Y to 0.  Works with bitcmyk input only.
.SS Debugging Options
These options are used for debugging \fBfoo2xqx\fP.
.TP
.BI \-S\0 plane
Output just a single color plane from a color print and print it
on the black plane.  The default is to output all color planes.
.TS
l l.
1	Cyan
2	Magenta
3	Yellow
4	Black
.TE
.TP
.BI \-D\0 level
Set Debug level [0].

.SH EXAMPLES
Create a black and white XQX stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -r1200x600 -sDEVICE=pbmraw \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2xqx -r1200x600 -g10200x6600 -p1 >testpage.zm
.fi
.RE

.SH FILES
.BR /usr/bin/foo2xqx
.SH SEE ALSO
.BR foo2xqx-wrapper (1),
.BR xqxdecode (1)
.SH "AUTHOR"
Rick Richardson <rick.richardson@comcast.net>
.br
${URLXQX}/
'/"
'/"
'/"
.em pdf_outline
